:root{
    --font-inter:'Inter', sans-serif;
    --font-poppins:'Poppins', sans-serif;
    --font-lora:'Lora', sans-serif;
    --dancing-font-fam:'Great Vibes', cursive;

    --dark-backgrnd:#0f182a;
    --dark-highlight:#151e30;
    --backgrnd: #F5FAF9;
    --card-bg: #2a2a2a;
    --highlighted:#2b3743;
    --green-theme2: rgb(56, 70, 66);

    --highlight-purple: rgb(56, 70, 66);
    --highlight-blue: rgb(56, 70, 66);

    --status-pending-bg: rgb(56, 70, 66);
    --status-confirmed-bg: rgb(56, 70, 66);
    --status-transit-bg: rgb(56, 70, 66);
    --status-cancelled-bg: rgb(56, 70, 66);

    --text-dark:#e4e4e4;
    --text-light:#8c8989;
    --text-blue:#7587a8;
    --faded--white:#ADB5BD;
    
}

body{
    width: 100vw;
    height: 100vh;
    overflow-x: hidden;
    margin: 0;
    padding: 20px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    background-color: var(--backgrnd);
    box-sizing: border-box;
}
.index-card{
    width: 600px;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 20px;
    gap: 10px;
    background-color: var(--dark-backgrnd);
    border: solid 1px var(--highlighted);
    border-radius: 10px;
    box-shadow: 0 4px 12px rgba(38, 52, 66, 0.936); 
    box-sizing: border-box;
}
.index-logo{
    width: 50px;
    height: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 10px;
    background-color: var(--backgrnd);
    border-radius: 20px;
    box-sizing: border-box;
}
.index-title{
    font-family: var(--font-inter);
    font-weight: 600;
    font-size: 25px;
    color: var(--backgrnd);
    line-height: 1.9;
    letter-spacing: 1.2;
}

.index-desc{
    font-family: var(--font-inter);
    font-weight: 400;
    font-size: 15px;
    color: var(--text-blue);
    letter-spacing: 1.2;
}
.index-input-title{
    width: 90%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 5px;
    box-sizing: border-box;
    font-family: var(--font-inter);
    font-weight: 400;
    font-size: 15px;
    color: var(--text-blue);
    letter-spacing: 1.2;
}
.input-holder{
    width: 90%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 5px;
    overflow: hidden;
    box-sizing: border-box;
}
.input-holder input{
    width: 16%;
    aspect-ratio: 1 / 1;
    background-color: var(--dark-highlight);
    border: solid 1px var(--highlighted);
    border-radius: 10px;
    outline: none;
    text-align: center;
    box-sizing: border-box;
    font-family: var(--font-inter);
    font-weight: 400;
    font-size: 20px;
    color: var(--text-blue);
}
.input-holder .active{
    border: dotted 2px #0099ff;
}
.index-submit{
    width: 90%;
    padding: 12px;
    background-color: var(--dark-highlight);
    border-radius: 10px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 10px;
    box-sizing: border-box;
    font-family: var(--font-inter);
    font-weight: 400;
    font-size: 15px;
    color: var(--text-blue);
    line-height: 1.9;
    letter-spacing: 1.2;
}
.index-submit.active{
    background-color: #0099ff;
    color: var(--backgrnd);
    cursor: pointer;
}
input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
.index-info{
    width: 100%;
    text-align: center;
    font-family: var(--font-inter);
    font-weight: 400;
    font-size: 12px;
    color: var(--text-blue);
    line-height: 1.9;
    letter-spacing: 1.2;
}


@media(max-width:768px){
    body{
        padding: 5px;
    }
    .index-card{
        width: 98%;
    }
    .index-desc{
        font-size: 12px;
    }
    .index-input-title{
        width: 100%;
    }
    .input-holder{
        width: 100%;
    }
    .index-submit{
        width: 100%;
    }

}